Intermittent TEST-UNEXPECTED-TIMEOUT | toolkit/components/extensions/test/xpcshell/test_ext_downloads_download.js | Test timed out

RESOLVED INCOMPLETE

Status

P3
normal
RESOLVED INCOMPLETE
2 years ago
5 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [downloads][stockwell unknown])

Comment 1

2 years ago
Hm, the interesting bits from the log are:

 10:25:11     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "NS_ERROR_XPC_GS_RETURNED_FAILURE: Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]" {file: "resource://gre/modules/Webapps.jsm" line: 20}]"
 10:25:11     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "A promise chain failed to handle a rejection. Did you forget to '.catch', or did you forget to 'return'?
 10:25:11     INFO -  See https://developer.mozilla.org/Mozilla/JavaScript_code_modules/Promise.jsm/Promise
 10:25:11     INFO -  Date: Sat Sep 03 2016 10:20:14 GMT-0700 (Pacific Standard Time)
 10:25:11     INFO -  Full Message: DownloadError: [Exception... "Failure"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/DownloadCore.jsm :: this.DownloadError :: line 1516"  data: no]
 10:25:11     INFO -  Full Stack: this.DownloadError@resource://gre/modules/DownloadCore.jsm:1552:16
 10:25:11     INFO -  task_D_start@resource://gre/modules/DownloadCore.jsm:544:18
 10:25:11     INFO -  D_start@resource://gre/modules/DownloadCore.jsm:440:26
 10:25:11     INFO -  download/<@chrome://extensions/content/ext-downloads.js:468:13
 10:25:11     INFO -  Handler.prototype.process@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:937:23
 10:25:11     INFO -  this.PromiseWalker.walkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:816:7
 10:25:11     INFO -  Promise*this.PromiseWalker.scheduleWalkerLoop@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:747:11
 10:25:11     INFO -  this.PromiseWalker.schedulePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:779:7
 10:25:11     INFO -  this.PromiseWalker.completePromise@resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:714:7
 10:25:11     INFO -  get _worker/worker.onmessage@resource://gre/modules/PromiseWorker.jsm:231:9
 10:25:11     INFO -  _do_main@C:\\slave\\test\\build\\tests\\xpcshell\\head.js:210:5
 10:25:11     INFO -  _execute_test@C:\\slave\\test\\build\\tests\\xpcshell\\head.js:545:5
10:25:11 INFO - @-e:1:1 

So download.start() didn't immediately throw with an invalid URL.  At the least, we should terminate the promise that start() returns by chaining an error handler, that error handler could also undo the obfuscation that DownloadError has applied to the actual error which might point to the source of the underlying problem here...
Whiteboard: [downloads]

Updated

2 years ago
Component: WebExtensions: Untriaged → WebExtensions: General
Priority: -- → P3

Comment 2

2 years ago
This intermittent has not occurred for over 180 days, so closing.

https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300340&startday=2016-11-20&endday=2017-05-19&tree=all
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Duplicate of this bug: 1411096
Comment hidden (Intermittent Failures Robot)
This one has become a high priority intermittent again. Andrew, as someone familiar with downloads, and someone who took a look at this in the past, can you please take this one?
Flags: needinfo?(aswan)
Comment hidden (Intermittent Failures Robot)
There were 33 failures related to this bug in the last 7 days.

:aswan do you have any updates on this?
I've had my hands full with other things, I will comment here when I have a chance to take a closer look.
Well the original bug from last year appears to be completely unrelated to the failures we are seeing now.
The current failure is only happening on Linux and when it fails, it looks like the following tests all fail:

test_ext_downloads_download.js
test_ext_management_uninstall_self.js
test_ext_privacy_update.js
test_ext_startup_cache.js
test_ext_permissions.js
test_ext_i18n.js

These failures are just attributed to this bug but we only seem to get limited logs from the downloads test and no useful logs at all from the other failing tests.

Joel, is there a way to get full logs out of these failures for further debugging?
Flags: needinfo?(aswan) → needinfo?(jmaher)
typically on failure we print out the full logs, but I image there are a lot of edge cases here.

For each of the test cases you could instrument them with SimpleTest.requestCompleteLog(), here are some examples of it:
http://searchfox.org/mozilla-central/search?q=requestCompleteLog&case=true&path=
Flags: needinfo?(jmaher)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 2 years ago8 months ago
Resolution: --- → INCOMPLETE

Updated

5 months ago
Product: Toolkit → WebExtensions
You need to log in before you can comment on or make changes to this bug.